.main-block {
    width: 100%;
    background-color: $pink;
    padding: 80px 0 80px;
    background-image: url("/media/img/main-all-background.jpg");
    background-size: cover;
    background-repeat: no-repeat;

    @media (max-width: $desktop-max) {
        padding: 60px 0 99px;
    }

    @media (max-width: $tablet-max) {
        padding: 60px 70px;
        position: relative;
    }

    @media (max-width: $mobile-max) {
        padding: 40px 0 50px;
        position: relative;
        width: 100%;
    }

    &__block {
        width: 1314px;
        margin: auto;

        @media (max-width: $desktop-max) {
            width: 904px;
        }

        @media (max-width: $tablet-max) {
            width: 523px;
        }

        @media (max-width: $mobile-max) {
            width: 327px;
        }
    }

    &__top {
        display: flex;
        gap: 141px;
        align-items: center;
        flex-shrink: 0;

        @media (max-width: $desktop-max) {
            gap: 67px;
        }

        @media (max-width: $tablet-max) {
            flex-direction: column;
            align-items: center;
            gap: 32px;
        }
    }

    &__left {
        width: 650px;

        @media (max-width: $desktop-max) {
            width: 497px;
        }

        @media (max-width: $tablet-max) {
            width: 100%;
            text-align: center;
            display: flex;
            flex-direction: column;
            align-items: center;
        }
    }

    &__text {
        margin-bottom: 32px;
        font-size: 72px;
        line-height: 100%;
        color: $white;
        font-weight: 500;

        @media (max-width: $desktop-max) {
            font-size: 54px;
            margin-bottom: 24px;
        }

        @media (max-width: $tablet-max) {
            margin-bottom: 16px;
        }

        @media (max-width: $mobile-max) {
            font-size: 36px;
            line-height: 36px;
        }
    }
    
    &__logo {
        font-size: 68px;
        color: $black;
        position: relative;
        z-index: 1;
        line-height: 90%;

        @media (max-width: $desktop-max) {
            font-size: 50px;
        }

        @media (max-width: $mobile-max) {
            font-size: 36px;
            line-height: 36px;
        }
        
        &::before {
            content: '';
            position: absolute;
            top: 8px;
            left: -8px;
            background-image: url("/media/img/main_logo_bg.png");
            width: 307px;
            height: 73px;
            z-index: -1;
            background-size: contain;
            background-repeat: no-repeat;

            @media (max-width: $desktop-max) {
                width: 232px;
                height: 55px;
            }

            @media (max-width: $mobile-max) {
                width: 163px;
                height: 38px;
                left: -4px;
                top: 4px;
            }
        }
    }
    
    &__opacity {
        opacity: 0.7;
    }

    &__line {
        display: flex;
        align-items: flex-start;

        @media (max-width: $tablet-max) {
            align-items: center;
            justify-content: center;
        }

        &-first {
            @media (max-width: $desktop-max) {
                position: relative;
                z-index: 2;
            }
        }

        &-last {
            position: relative;
            z-index: 1;
            margin-left: 4px;

            @media (max-width: $desktop-max) {
                margin-left: 8px;
                z-index: 0;
            }

            @media (max-width: $mobile-max) {
                margin-left: 4px;
            }
        }
    }
    
    &__connector {
        color: $black;
        font-family: 'Neue Machina', sans-serif;
        font-size: 40px;
        line-height: 73px;
        font-weight: 800;
        position: relative;
        z-index: 1;
        top: 4px;
        margin-left: 3px;

        @media (max-width: $desktop-max) {
            font-size: 28px;
            line-height: 53px;
            margin-left: 5px;
            top: 6px;
        }

        @media (max-width: $mobile-max) {
            font-size: 20px;
            line-height: 104%;
            top: 4px;
        }

        &::before {
            content: '';
            position: absolute;
            width: 70px;
            height: 70px;
            z-index: -1;
            background-size: contain;
            background-repeat: no-repeat;
            background-image: url("/media/img/main_line_bg.png");
            left: -14px;
            top: -2px;

            @media (max-width: $desktop-max) {
                width: 60px;
                height: 60px;
                top: -5px;
            }

            @media (max-width: $mobile-max) {
                width: 40px;
                height: 40px;
                top: -10px;
                left: -10px;
            }
        }
    }
    
    &__description {
        color: $white;
        font-weight: 400;
        font-size: 18px;
        line-height: 140%;
        width: 420px;
        margin-bottom: 32px;
        position: relative;

        @media (max-width: $desktop-max) {
            font-size: 16px;
            line-height: 24px;
            width: 320px;
        }

        @media (max-width: $mobile-max) {
            margin-bottom: 24px;
        }
    }

    &__footnote {
        color: $black;
        font-weight: 500;
        font-size: 16px;
        line-height: 120%;
        display: flex;
        align-items: center;
        position: absolute;
        right: -48px;
        transform: translateX(100%) rotate(10deg);
        top: 40px;

        @media (max-width: $desktop-max) {
            font-size: 14px;
            line-height: 22px;
            right: -20px;
            top: 55px;
            transform: translateX(100%) rotate(5deg);
        }

        @media (max-width: $tablet-max) {
            display: flex;
            top: auto;
            bottom: -5px;
            left: -60px;
            right: auto;
        }

        @media (max-width: $mobile-max) {
            left: -40px;
        }

        &.desktop {
            @media (max-width: $tablet-max) {
                display: none;
            }
        }

        &.mobile {
            display: none;

            @media (max-width: $tablet-max) {
                display: flex;
            }
        }

        &::after {
            content: '';
            position: absolute;
            width: 292px;
            height: 80px;
            z-index: -1;
            background-size: contain;
            background-repeat: no-repeat;
            background-image: url("/media/img/main_footnote.png");
            left: -10px;
            top: -35px;
            transform: rotate(-10deg);

            @media (max-width: $desktop-max) {
                transform: rotate(-10deg);
                width: 210px;
                height: 82px;
                top: -25px;
            }
        }

        svg {
            width: 20px;
            height: 20px;
            flex-shrink: 0;
        }
    }

    &__arrow-arc {
        position: absolute;
        width: 204px;
        height: 95px;
        top: 57px;
        left: 250px;

        @media (max-width: $desktop-max) {
            width: 184px;
            height: 85px;
            transform: rotate(5deg);
            top: 82px;
            left: 232px;
        }

        @media (max-width: $tablet-max) {
            width: 217px;
            height: 101px;
            transform: matrix(-0.77, -0.64, -0.64, 0.77, 0, 0);
            bottom: 65px;
            top: auto;
            left: -72px;
        }

        @media (max-width: $tablet-max) {
            width: 204px;
            height: 95px;
            transform: matrix(-0.87, -0.5, -0.5, 0.87, 0, 0);
            bottom: 45px;
            left: -55px;
        }

        &.desktop {
            @media (max-width: $tablet-max) {
                display: none;
            }
        }

        &.mobile {
            display: none;

            @media (max-width: $tablet-max) {
                display: flex;
            }
        }

        img {
            width: 100%;
            height: 100%;
            object-fit: contain;
        }
    }
    
    &__button {
        border: 1px solid $white;
        padding: 18px 24px;
        display: flex;
        gap: 8px;
        align-items: center;
        font-weight: 500;
        font-size: 16px;
        line-height: 24px;
        box-shadow: 0 24px 40px #F36B6B;
        border-radius: 18px;
        cursor: pointer;
        transition: color 0.5s;
        background-color: $white;

        @media (max-width: $desktop-max) {
            gap: 6px;
        }

        @media (max-width: $mobile-max) {
            padding: 13px 20px;
            font-size: 14px;
            line-height: 22px;
            align-items: center;
            box-shadow: none;
        }

        @media (hover: hover) {
            &:hover {
                color: $pink;

                .main-block__button-ic {
                    fill: $pink;
                }
            }

        }
        
        &-ic {
            width: 20px;
            height: 20px;
            fill: $black;
            transition: fill 0.5s;
            
            svg {
                width: 100%;
                height: 100%;
            }
        }
    }

    &__right {
        position: relative;
        flex-shrink: 0;

        @media (max-width: $tablet-max) {
            align-self: flex-start;
        }

        @media (max-width: $mobile-max) {
            align-self: center;
            display: flex;
            justify-content: center;
            overflow: hidden;
            width: 100vw;
        }
    }

    &__phone {
        &-first {
            width: 280px;
            height: 608px;
            position: relative;
            z-index: 1;
            border-radius: 24px;
            overflow: hidden;

            @media (max-width: $desktop-max) {
                width: 214px;
                height: 465px;
            }

            @media (max-width: $tablet-max) {
                width: 280px;
                height: 608px;
            }

            @media (max-width: $mobile-max) {
                width: 214px;
                height: 465px;
            }

            video {
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                object-fit: cover;
            }

            &::after {
                content: "";
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
                background: rgba(219, 101, 101, 0.32);
                filter: blur(100px);
                z-index: -1;
            }

            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
            }
        }

        &-last {
            position: absolute;
            bottom: 0;
            left: 207px;
            width: 310px;
            height: 520px;

            @media (max-width: $desktop-max) {
                width: 243px;
                height: 390px;
                left: 157px;
            }

            @media (max-width: $tablet-max) {
                left: 207px;
                width: 310px;
                height: 520px;
            }

            @media (max-width: $mobile-max) {
                width: 243px;
                height: 390px;
                left: 157px;
            }

            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
            }
        }
    }

    &__start-logo {
        position: absolute;
        bottom: 60px;
        left: 396px;
        width: 110px;
        height: 120px;

        @media (max-width: $desktop-max) {
            left: 274px;
            width: 92px;
            height: 100px;
            bottom: 24px;
        }

        @media (max-width: $tablet-max) {
            bottom: 20px;
            left: 396px;
            width: 110px;
            height: 120px;
        }

        @media (max-width: $mobile-max) {
            width: 92px;
            height: 100px;
            left: -10px;
            z-index: 1;
            bottom: 70px;
        }

        img {
            width: 100%;
            height: 100%;
            object-fit: contain;
        }
    }

    &__bottom {
        display: flex;
        justify-content: flex-end;
        gap: 447px;
        align-items: center;
        margin-top: 8px;
        position: absolute;
        z-index: 3;

        &.active {
            .main-block__bottom-right {
                border-color: $black;
            }

            .main-block__bottom-right--ic {
                fill: $black;
            }
        }

        &.fixed {
            position: fixed;
            bottom: 100px;
        }

        @media (max-width: $desktop-max) {
            margin-top: 27px;
            gap: 242px;
        }

        @media (max-width: $tablet-max) {
            gap: 120px;
        }
        
        &-left {
            padding: 4px;
            display: flex;
            align-items: center;
            background-color: $white;
            border-radius: 14px;
        }
        
        &-text {
            margin-left: 12px;
            font-weight: 500;
            font-size: 16px;
            line-height: 20px;
        }

        &-message {
            margin-left: 36px;
            width: 40px;
            height: 40px;
            background-color: $lite-blue;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-shrink: 0;
            border-radius: 12px;
            transition: background-color 0.5s;

            @media (max-width: $mobile-max) {
                margin-left: 40px;
            }

            @media (hover: hover) {
                &:hover {
                    background-color: $blue;

                    .main-block__bottom-message--ic {
                        fill: $white;
                    }
                }
            }

            &--ic {
                width: 20px;
                height: 20px;
                fill: $blue;
                transition: fill 0.5s;
                
                svg {
                    width: 100%;
                    height: 100%;
                }
            }
        }
        
        &-button {
            background-color: $pink-lite;
            border-radius: 12px;
            padding: 8px 15px;
            color: $white;
            font-weight: 500;
            font-size: 14px;
            line-height: 22px;
            margin-left: 4px;
            cursor: pointer;
            border: 1px solid $pink-lite;
            transition: color 0.5s, background-color 0.5s, border-color 0.5s;

            @media (hover: hover) {
                &:hover {
                    background-color: $white;
                    color: $pink-lite;
                }
            }
        }
        
        &-right {
            width: 48px;
            height: 48px;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid $white;
            border-radius: 14px;
            cursor: pointer;

            @media (max-width: $mobile-max) {
                display: none;
            }
            
            &--ic {
                width: 20px;
                height: 20px;
                fill: $white;
                
                svg {
                    width: 100%;
                    height: 100%;
                }
            }
        }
    }
}